Ecore Connection Events Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions | Variables
Ecore Connection Events Functions
Ecore » Ecore_Con - Connection functions

The Ecore Con events can be categorized into Server side events and Client side events. More...

## Data Structures
struct | _Ecore_Con_Event_Client_Add
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ADD event. More...
struct | _Ecore_Con_Event_Client_Upgrade
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_UPGRADE event. More...
struct | _Ecore_Con_Event_Client_Del
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DEL event. More...
struct | _Ecore_Con_Event_Client_Error
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ERROR event. More...
struct | _Ecore_Con_Event_Server_Add
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_ADD event. More...
struct | _Ecore_Con_Event_Server_Upgrade
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_UPGRADE event. More...
struct | _Ecore_Con_Event_Server_Del
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_DEL event. More...
struct | _Ecore_Con_Event_Server_Error
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_ERROR event. More...
struct | _Ecore_Con_Event_Client_Data
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DATA event. More...
struct | _Ecore_Con_Event_Server_Data
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_DATA event. More...
struct | _Ecore_Con_Event_Client_Write
| Used as the `data` param for the ECORE_CON_EVENT_CLIENT_WRITE event. More...
struct | _Ecore_Con_Event_Server_Write
| Used as the `data` param for the ECORE_CON_EVENT_SERVER_WRITE event. More...
struct | _Ecore_Con_Event_Proxy_Bind
| Used as the `data` param for the ECORE_CON_EVENT_PROXY_BIND event. More...
struct | _Ecore_Con_Event_Url_Data
| Used as the `data` param for the ECORE_CON_EVENT_URL_DATA event. More...
struct | _Ecore_Con_Event_Url_Complete
| Used as the `data` param for the ECORE_CON_EVENT_URL_COMPLETE event. More...
struct | _Ecore_Con_Event_Url_Progress
| Used as the `data` param for the ECORE_CON_EVENT_URL_PROGRESS event. More...

## Typedefs
typedef struct _Ecore_Con_Event_Client_Add | Ecore_Con_Event_Client_Add
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Client_Upgrade | Ecore_Con_Event_Client_Upgrade
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Client_Del | Ecore_Con_Event_Client_Del
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Client_Error | Ecore_Con_Event_Client_Error
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Server_Add | Ecore_Con_Event_Server_Add
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Server_Upgrade | Ecore_Con_Event_Server_Upgrade
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Server_Del | Ecore_Con_Event_Server_Del
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Server_Error | Ecore_Con_Event_Server_Error
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Client_Data | Ecore_Con_Event_Client_Data
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Server_Data | Ecore_Con_Event_Server_Data
| Used as the `data` param for the corresponding event.
typedef struct _Ecore_Con_Event_Client_Write | Ecore_Con_Event_Client_Write
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Server_Write | Ecore_Con_Event_Server_Write
| Used as the `data` param for the corresponding event. More...
typedef struct _Ecore_Con_Event_Proxy_Bind | Ecore_Con_Event_Proxy_Bind
| Used as the `data` param for the corresponding event. More...

## Functions
EAPI int | ecore_con_init (void)
| Initialise the Ecore_Con library. More...
EAPI int | ecore_con_shutdown (void)
| Shut down the Ecore_Con library. More...

## Variables
EAPI int | ECORE_CON_EVENT_CLIENT_ADD
| A client has connected to the server.
EAPI int | ECORE_CON_EVENT_CLIENT_DEL
| A client has disconnected from the server.
EAPI int | ECORE_CON_EVENT_CLIENT_ERROR
| A client experienced an error. More...
EAPI int | ECORE_CON_EVENT_CLIENT_UPGRADE
| A client connection has been upgraded to SSL. More...
EAPI int | ECORE_CON_EVENT_SERVER_ADD
| A server was created.
EAPI int | ECORE_CON_EVENT_SERVER_DEL
| A server connection was lost.
EAPI int | ECORE_CON_EVENT_SERVER_ERROR
| A server experienced an error. More...
EAPI int | ECORE_CON_EVENT_SERVER_UPGRADE
| A server connection has been upgraded to SSL. More...
EAPI int | ECORE_CON_EVENT_CLIENT_WRITE
| A server connection has sent data to its client. More...
EAPI int | ECORE_CON_EVENT_SERVER_WRITE
| A server connection object has sent data. More...
EAPI int | ECORE_CON_EVENT_CLIENT_DATA
| A client connected to the server has sent data.
EAPI int | ECORE_CON_EVENT_SERVER_DATA
| A server connection object has data.
EAPI int | ECORE_CON_EVENT_PROXY_BIND
| A server connection has successfully negotiated an ip:port binding. More...
EAPI int | ECORE_CON_EVENT_URL_DATA
| A URL object has data.
EAPI int | ECORE_CON_EVENT_URL_COMPLETE
| A URL object has completed its transfer to and from the server and can be reused.
EAPI int | ECORE_CON_EVENT_URL_PROGRESS
| A URL object has made progress in its transfer.

## Detailed Description

The Ecore Con events can be categorized into Server side events and Client side events.

Server side events:

- ECORE_CON_CLIENT_ADD: Whenever a client connection is made to an `Ecore_Con_Server`, an event of this type is emitted, allowing the retrieval of the client's ip with ecore_con_client_ip_get and associating data with the client using ecore_con_client_data_set.
- ECORE_CON_EVENT_CLIENT_DEL: Whenever a client connection to an `Ecore_Con_Server` is destroyed, an event of this type is emitted. The contents of the data with this event are variable, but if the client object in the data is non-null, it must be freed with ecore_con_client_del.
- ECORE_CON_EVENT_CLIENT_DATA: Whenever a server object receives data, then an event of this type is emitted. The data will contain the size and contents of the message sent by the client. It should be noted that data within this object is transient, so it must be duplicated in order to be retained. This event will continue to occur until the client has stopped sending its message, so a good option for storing this data is an Eina_Strbuf. Once the message has been received in full, the client object must be freed with ecore_con_client_free.

Client side events:

- ECORE_CON_EVENT_SERVER_ADD: Whenever a server object is created with ecore_con_server_connect, an event of this type is emitted, allowing for data to be serialized and sent to the server using ecore_con_server_send. At this point, the http handshake has occurred.
- ECORE_CON_EVENT_SERVER_DEL: Whenever a server object is destroyed, usually by the server connection being refused or dropped, an event of this type is emitted. The contents of the data with this event are variable, but if the server object in the data is non-null, it must be freed with ecore_con_server_del.
- ECORE_CON_EVENT_SERVER_DATA: Whenever client object receives data from the server, an event of this type is emitted. The data will contain both the size and contents of the message sent by the server. It should be noted that data within this object is transient, so it must be duplicated in order to be retained. This event will continue to occur until the server has stopped sending its message, so a good option for storing this data is an Eina_Strbuf. Once the message has been received in full, the server object must be freed with ecore_con_server_free.

## Typedef Documentation

Ecore_Con_Event_Client_Upgrade

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Client_Error

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Server_Upgrade

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Server_Error

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Client_Write

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Server_Write

Used as the `data` param for the corresponding event.

Since
  1.1

Ecore_Con_Event_Proxy_Bind

Used as the `data` param for the corresponding event.

Since
  1.2

## Function Documentation

EAPI int ecore_con_init | ( | void |  | ) |

Initialise the Ecore_Con library.

Returns
  Number of times the library has been initialised without being shut down.

Note
  This function already calls ecore_init() internally, so you don't need to call it explicitly.

References ecore_event_type_new(), ecore_init(), ecore_shutdown(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, eina_log_timing(), eina_magic_string_set(), evil_init(), and evil_shutdown().

Referenced by ecore_ipc_init().

EAPI int ecore_con_shutdown | ( | void |  | ) |

Shut down the Ecore_Con library.

Returns
  Number of times the library has been initialised without being shut down.

Note
  This function already calls ecore_shutdown() internally, so you don't need to call it explicitly unless you called ecore_init() explicitly too.

References ecore_shutdown(), EINA_LIST_FOREACH_SAFE, EINA_LIST_FREE, eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, eina_log_timing(), EINA_TRUE, eo_data_scope_get(), ERR, evil_shutdown(), INF, and _Ecore_Con_Event_Server_Add::server.

Referenced by ecore_ipc_shutdown().

## Variable Documentation

EAPI int ECORE_CON_EVENT_CLIENT_ERROR

A client experienced an error.

Since
  1.1

EAPI int ECORE_CON_EVENT_CLIENT_UPGRADE

A client connection has been upgraded to SSL.

Since
  1.1

EAPI int ECORE_CON_EVENT_SERVER_ERROR

A server experienced an error.

Since
  1.1

EAPI int ECORE_CON_EVENT_SERVER_UPGRADE

A server connection has been upgraded to SSL.

Since
  1.1

EAPI int ECORE_CON_EVENT_CLIENT_WRITE

A server connection has sent data to its client.

Since
  1.1

EAPI int ECORE_CON_EVENT_SERVER_WRITE

A server connection object has sent data.

Since
  1.1

EAPI int ECORE_CON_EVENT_PROXY_BIND

A server connection has successfully negotiated an ip:port binding.

Since
  1.2